Package org.eclipse.emf.cdo.ui

## Class Support

- java.lang.Object
- - org.eclipse.emf.cdo.ui.Support

-     public abstract class Support
      extends java.lang.Object

  Since:
    4.5
  Author:
    Eike Stepper
  No Extend
    This class is not intended to be subclassed by clients.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static Support` | `COMPARE` |
    `static Support` | `HISTORY` |
    `static Support` | `PROPERTIES` |
    `static Support` | `SERVER_SECURITY` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected abstract boolean` | `determineAvailability()` |
    `boolean` | `isAvailable()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PROPERTIES

          public static final Support PROPERTIES

    - #### HISTORY

          public static final Support HISTORY

    - #### COMPARE

          public static final Support COMPARE

    - #### SERVER_SECURITY

          public static final Support SERVER_SECURITY

      Since:
        4.11

  - ### Method Detail

    - #### isAvailable

          public boolean isAvailable()

    - #### determineAvailability

          protected abstract boolean determineAvailability()
                                                    throws java.lang.Throwable

      Throws:
        `java.lang.Throwable`